export declare class Interval {
    start: number;
    end: number;
    constructor(start: number, end: number);
    toString(): string;
}
export declare class IntervalManager {
    private log;
    private _intervals;
    addInterval(newInterval: Interval): Interval[];
    getUncoveredIntervals(interval: Interval): Interval[];
    private getFirstAndLastOverlappingExistingIntervalIndex;
    static intervalsOverlap(existingInterval: Interval, interval: Interval): boolean;
    private static subtractIntervals;
    readonly intervals: Interval[];
}
